### Class

# Foundry DebuggerModule

#### Description [src]

    abstract class Foundry.DebuggerModule : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing modules in the debugger.

FoundryDebuggerModule provides the core interface for representing loaded modules during debugging sessions. It includes module identification, path information, and provides a unified interface for module inspection and management across different debugging backends.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_module_dup_host_path

No description available.

###### foundry_debugger_module_dup_id

No description available.

###### foundry_debugger_module_dup_name

No description available.

since: 1.1

###### foundry_debugger_module_dup_path

No description available.

###### foundry_debugger_module_list_address_space

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerModule:address-space

No description available.

###### Foundry.DebuggerModule:host-path

No description available.

###### Foundry.DebuggerModule:id

No description available.

###### Foundry.DebuggerModule:name

No description available.

since: 1.1

###### Foundry.DebuggerModule:path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerModuleClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDebuggerModule* self
      );
      GListModel* (* list_address_space) (
        FoundryDebuggerModule* self
      );
      char* (* dup_path) (
        FoundryDebuggerModule* self
      );
      char* (* dup_host_path) (
        FoundryDebuggerModule* self
      );
      char* (* dup_name) (
        FoundryDebuggerModule* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDebuggerModule* self )`

  No description available.

`list_address_space: GListModel* (* list_address_space) ( FoundryDebuggerModule* self )`

  No description available.

`dup_path: char* (* dup_path) ( FoundryDebuggerModule* self )`

  No description available.

`dup_host_path: char* (* dup_host_path) ( FoundryDebuggerModule* self )`

  No description available.

`dup_name: char* (* dup_name) ( FoundryDebuggerModule* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerModuleClass.dup_host_path

No description available.

###### Foundry.DebuggerModuleClass.dup_id

No description available.

###### Foundry.DebuggerModuleClass.dup_name

No description available.

since: 1.1

###### Foundry.DebuggerModuleClass.dup_path

No description available.

###### Foundry.DebuggerModuleClass.list_address_space

No description available.